#!/usr/local/bin/perl

$/ = "";
$* = 1;

open(RUNVSDET, "crisRunsVsDetector.db") || die $!;
while (<RUNVSDET>) {
    @lines = split("\n");
    for ($i = 0; $i < @lines; $i++) {
	$lines[$i] =~ s/^\s+//;
	$lines[$i] =~ s/\s+$//;
    }
    $detectorNum = $lines[0];
    $runID = $lines[1];
    ($runID =~ /\w/) || next;

    ($when, $runNum) = ($runID =~ /msu(\d\d)\.(\d\d\d)/);

    $path = "/home/darkalf/bruce/ace/msu$when/waltonPoints/thicknessFits/";
    $path .= "run-${runNum}_det-$detectorNum";
    
    print "$detectorNum\t$when\t$runNum\n$path\n\n";

    `cp $path thicknessMapDBs/cris$detectorNum.map`;
}
